Witosser
@Witosser
студент IT ВУЗа, увлекаюсь веб-разработкой

Python. Ошибка при установки пакета LXML, в консоли пишу «pip install lxml», использую OS Windows. Что делать?

Нашел рекомендацию вначале надо установить зависимости:
apt-get install libxml2-dev libxslt-dev python-dev lib32z1-dev
Но как это сделать не понимаю.
  • Вопрос задан
  • 1778 просмотров
Решения вопроса 3
@Andy_U
Скачайте версию lxml для Вашей версии питона с www.lfd.uci.edu/~gohlke/pythonlibs и установите командой

pip install <имя-файла>
Ответ написан
Haikson
@Haikson
На крайний случай можно скачать установочный файл (exe) с сайта https://pypi.python.org/pypi/lxml/3.5.0
Выбирайте для своей версии python
Ответ написан
Пригласить эксперта
Ответы на вопрос 2
ktulu
@ktulu
Пишу на python
Установите отсюда www.lfd.uci.edu/~gohlke/pythonlibs (Unofficial Windows Binaries for Python Extension Packages)
Ответ написан
Revencu
@Revencu
Установите меньшую версию, например:
pip install lxml==3.6.0
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы